import { InputTextComponent } from '@colijnit/corecomponents_v12';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare class TransactionLineAssemblyTimeComponent extends TransactionLineBaseComponent {
    set child(content: any);
    showLabel: boolean;
    defaultEditMode: boolean;
    set editMode(value: boolean);
    inputLabel: boolean;
    get editMode(): boolean;
    showClass: boolean;
    handleClick(event: MouseEvent): void;
    input: InputTextComponent;
    private _editMode;
    commit(): Promise<boolean>;
    handleChangeEditMode(): void;
    protected transactionLineSet(): void;
    cancelClicked(): void;
}
